Package org.apache.commons.lang3

## Interface Functions.FailableCallable<R,​T extends java.lang.Throwable>

Type Parameters:
  `R` - Return type.
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailableCallable<R,​T extends java.lang.Throwable>

Deprecated.
Use `FailableCallable`.
A functional interface like `Callable` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`R` `call()` Deprecated. Calls the callable.

### Method Detail

#### call

    R call()
    throws T extends java.lang.Throwable

Deprecated.
Calls the callable.

Returns:
  The value returned from the callable
Throws:
  `T` - if the callable fails
  `T extends java.lang.Throwable`